/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;
 
/**
 *  An event indicating a change in the status of connections to the
 *  network
 *
 */
public class ConnectionEvent
{
  private ConnectionInformation connectionInformation;

  ConnectionEvent(ConnectionInformation info)
  {
    connectionInformation = info;
  }

  /**
   *  Get an information instance to determine current network status
   *
   *  @return information 
   */
  public ConnectionInformation getConnectionInformation()
  {
    return connectionInformation;
  }
}
