 /*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

/**
 *  Provides information regarding the current connections
 *
 */
// TODO provide more info
public class ConnectionInformation
{
  private int connectionCount;

  /**
   *  Instances of this class are constructed internally in JTella
   *
   */
  ConnectionInformation()
  {
    connectionCount = 0;
  }

  /** 
   *  Get the number of active connections
   *
   *  @return connection count
   */
  public int getCount()
  {
    return connectionCount;
  }

  /**
   *  Set the connection count
   *
   *  @param count number of connections
   */
  void setCount(int count)
  {
    connectionCount = count;
  }
}
