/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

import java.util.Arrays;

//import com.kenmccrary.jtella.util.UniqueIDGenerator;

/**
 *  Represents a unique ID
 *
 */
public class GUID
{
  // TODO change this to a short
  private byte[] data;

  /**
   *  Construct a new GUID
   *
   */
  public GUID()
  {
     data = Utilities.generateGUID();
  }


  /**
   *  Create a guid from network data
   *
   *
   */
  public GUID(byte[] data)
  {
    this.data = data;
  }

  /**
   *  Query the bytes in this GUID
   *
   *  @return byte array
   */
  byte[] getData()
  {
    return data;
  }

  /**
   *  Compare guids
   *
   */
  public boolean equals(Object obj)
  {
    if ( !(obj instanceof GUID) ) 
    {
      return false;
    }

    // Check if the data is the same
    GUID rhs = (GUID)obj;
    byte[] lhsData = getData();
    byte[] rhsData = rhs.getData();

    return Arrays.equals(lhsData, rhsData);
  }

  /**
   *  Produce a hashcode for this GUID
   *
   */
  public int hashCode() 
  {
    int result = 0;

    // TODO improve
    for (int i = 0; i < data.length; i++) 
    {
      result += (result * 4) + data[i];
    }

    return result;
  }
} 

