/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

/**
 *  A class implementing <code>MessageReceiver</code> is capable of receiving
 *  GNUTella network messages
 *
 */
public interface MessageReceiver
{
  /**
   *  Implement to receive a message reply
   *
   *  @param searchResult search reply
   */
  public void receiveSearchReply(SearchReplyMessage searchReplyMessage);


  /**
   *   Implement to receive a query message from the network,
   *   this will be called for every query and subsequently should
   *   be implement efficiently
   *
   */
  public void receiveSearch(SearchMessage searchMessage);
}
