/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

/**
 *
 *  An adapter for the <code>MessageReceiver</code>, provides
 *  empty implementations of message receive methods
 *
 */ 
public abstract class MessageReceiverAdapter implements MessageReceiver
{

  /**
   *  Implement to receive a message reply, the default implementation
   *  does nothing
   *
   *  @param searchResult search reply
   */
  public void receiveSearchReply(SearchReplyMessage searchReplyMessage)
  {

  }

  /**
   *   Implement to receive a query message from the network,
   *   this will be called for every query and subsequently should
   *   be implement efficiently, the default implementation does nothing
   *
   */
  public void receiveSearch(SearchMessage searchMessage)
  {

  }
}

