/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

/**
 *  Represents information about a file found on the network
 *
 */
public class NetworkFile
{
  private String name;
  private long size;
  private long index;

  /**
   *  Construct the Network File 
   *
   *  @param name file name
   *  @param size file size
   *  @param index file index
   */
  NetworkFile(String name, long size, long index)
  {
    this.name = name;
    this.size = size;
    this.index = index;
  }

  /**
   *  Get the file name
   *
   *  @return file name
   */
  public String getName()
  {
    return name;
  }
  
  /**
   *  Get the file size
   *
   *  @return file size
   */
  public long getSize()
  {
    return size;
  }

  /**
   *  Get the file index, file index is used for HTTP file retrieval
   *
   *  @return file index
   */
  public long getIndex()
  {
    return index;
  }

} 
