/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

/**
 *  PONG message, reply to Ping provides
 *  information about running Tellas
 *
 */
public class PongMessage extends Message
{
  /**
   *  Construct a PONG message about this Tella
   *
   */
  PongMessage()
  {
    super(Message.PONG);
    // TODO
  }

  /**
   *  Construct a PongMessage from data read from network
   *
   */
  PongMessage(byte[] rawMessage)
  {
    super(rawMessage);
  }

/*
 *  Payload 0-1 Port (little endian)
 *          2-5 IP address (little endian)
 *          6-9 shared file count
 *          10-13 total shared file size in kb
 */

  /**
   *  Query the IP address for this pong message
   *  result is an IP address in the form of
   *  "206.26.48.100".
   *
   *  @return IP address
   */
  String getIPAddress()
  {
    /*
    Integer ip1 = new Integer(payload[2]); 
    Integer ip2 = new Integer(payload[3]); 
    Integer ip3 = new Integer(payload[4]); 
    Integer ip4 = new Integer(payload[5]); 
    */

    StringBuffer ipBuffer = new StringBuffer();

    ipBuffer.append(Integer.toString(payload[2])).
             append(".").
             append(Integer.toString(payload[3])).
             append(".").
             append(Integer.toString(payload[4])).
             append(".").
             append(Integer.toString(payload[5]));

    return ipBuffer.toString();
  }

  /**
   *  Query the port for this pong message
   *
   *  @return port
   */
  int getPort()
  {
    int port = 0;
    int byte1 = 0;
    int byte2 = 0;
    byte1 |= payload[0];
    byte2 |= payload[1];
    port |= byte1;
    port |= (byte2 << 8);
    return port;
  }


  // TODO file info accessors
} 

