/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;

import java.io.DataOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;

/**
 *  General purpose utilities
 *
 */
public class Utilities
{
  private static long bootTime;
  private static long counter = 0x00000000;
  
  static
  {
    bootTime = System.currentTimeMillis();
  }

  /**
   *  Generate something remotely resembling a windows guid
   *
   */
  public static byte[] generateGUID()
  {
    ByteArrayOutputStream byteStream = new ByteArrayOutputStream(16);  
    DataOutputStream ds = new DataOutputStream(byteStream);

    try
    {
      ds.writeLong(bootTime);
      ds.writeLong(counter++);
    }
    catch (IOException io)
    {
      // TODO logging
      io.printStackTrace();
      System.exit(-1);
    }

    /*
    byte[] byteData = byteStream.toByteArray();
    short[] shortData = new short[byteData.length];

    System.arraycopy(byteData, 0, shortData, 0, byteData.length);
    return shortData;
    */

    return byteStream.toByteArray();
  }  


  // test
  public static void main(String[] args)
  {
    byte[] guid = Utilities.generateGUID();


    System.out.println("GUID: ");
    for ( int i = 0; i < guid.length; i++) 
    {

      System.out.println(Integer.toHexString(guid[i]));
    }
  }
}
