package com.kenmccrary.jtella.util;

import java.io.RandomAccessFile;
import java.io.StringWriter;
import java.io.PrintWriter;
import java.io.IOException;

import java.util.Date;

import java.text.DateFormat;


/**
 *  Basic logging
 *
 *
 */
public class Log
{
  private static Log log;
  private static RandomAccessFile logFile;

  protected Log()
  {
    try
    {
      logFile = new RandomAccessFile("jtella.log", "rw");
      logFile.seek(logFile.length());
    }
    catch (Exception io)
    {
      io.printStackTrace();
    }
  }

  /**
   *  Access the log
   *
   */
  public static Log getLog()
  {
    if ( null == log ) 
    {
      log = new Log();
    }

    return log;
  }

  /**
   *  Logs an exception
   *
   */
  public void log(Exception exception)
  {
    StringWriter stringWriter = new StringWriter();
    exception.printStackTrace(new PrintWriter(stringWriter));

    log("Exception: \n" + stringWriter.toString());
  }


  /**
   *  Logs an error
   *
   */
  public void logError(String txt)
  {
    log("ERROR: " + txt);
  }
  
  /**
   *  Logs a warning
   *
   */
  public void logWarning(String txt)
  {
    log("WARNING: " + txt);
  }

  /**
   *  Logs debug information
   *
   */
  public void logDebug(String txt)
  {
    // TODO whether are not this produces output a system property
    log("DEBUG: " + txt);
  }

  /**
   *  Logs information
   *
   */
  public void logInformation(String txt)
  {
    log("INFORMATION: " + txt);
  }

  /**
   *  Rights the string to the log
   *
   */
  private void log(String logString)
  {
    Date date = new Date();
    logString = "[" +
                DateFormat.getDateInstance(DateFormat.SHORT).format(date) + 
                " - " +
                DateFormat.getTimeInstance(DateFormat.FULL).format(date) +
                "] " +
                logString +
                "\r\n";

    try
    {
      synchronized (logFile)
      {
        logFile.write(logString.getBytes());
      }
    }
    catch (IOException io)
    {
      io.printStackTrace();
    }
  }

  // test
  public static void main(String[] args)
  {
    getLog().logDebug("Test");
  }
} 
