/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: gnutella-client
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2001-02-10, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * 0.0.2 (2001-02-10, Marcus Wolschon<Suran@gmx.net>)
  *       - first events
  *       - download
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.gnutella;



  //JDK
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.MarshalledObject;
import java.lang.IllegalStateException;
  //JINI
import net.jini.core.event.RemoteEvent;
import net.jini.core.event.RemoteEventListener;
import net.jini.core.lease.LeaseDeniedException;
import net.jini.core.lease.Lease;
  //JAugment
import jaugment2.texteditor.TextEditorProxyIF.ActionsEntry;

public interface GnutellaProxyIF extends Remote
{


  /**
   * return entries for all mime-actions found
   */
  public ActionsEntry[] getActionsEntries() throws RemoteException;

  /** Subscribe for buffer-eddings, removals and changes
    */
  public Lease addListener(RemoteEventListener listener, MarshalledObject handback, int registerfor) throws RemoteException, LeaseDeniedException, IllegalStateException;


 /**
  * Class for events thrown here
  */
 public static class GnutellaEvent extends RemoteEvent
 {
  public static final int EVID_FILEFOUND = 1;
//  public static final int EVID_SETPAGE = 2;
  public String data;

  public GnutellaEvent(Object proxy, long eventID, long seqNum, MarshalledObject handback, String data)
  {
   super(proxy, eventID, seqNum, handback);
   this.data = data;
  }

 }


  public void connect(String host, int port) throws RemoteException;

  public void addSearch(String searchfor, int maxResults, int minSpeed) throws RemoteException;

  public void download(String url) throws RemoteException;
  public void download(String url, String to) throws RemoteException;

}