/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: gnutella-client
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2001-02-10, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.gnutella;

  //JDK
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
  //JINI
import net.jini.core.event.RemoteEventListener;
import net.jini.core.event.RemoteEvent;
import net.jini.core.event.UnknownEventException;

//helper-mark for configure to determine that rmic needs to be executed for this file
//rmimakehelper

/**
 * RemoteEventListener for GnutellaSwingRepresentation2
 */
public class GnutellaSwingRepresentation2Listener extends UnicastRemoteObject implements RemoteEventListener
{

 private GnutellaSwingRepresentation2 s;

  public GnutellaSwingRepresentation2Listener(GnutellaSwingRepresentation2 s) throws RemoteException
  {
   this.s = s;
  }


  /** React to events from our service.
    */
  public void notify(RemoteEvent evt) throws UnknownEventException, RemoteException
  {
   s.notify(evt);
  }
}